	SUBROUTINE ADDERR(COUT,CIN,ERR)
C
C	   Routine to add the cell error ERR to CIN, compress
C	   the resulting string and put it all into COUT.
C
C	   By: Mark Holomany, JCPDS   Date: 4-Apr-1984
C
C
	CHARACTER *(*) COUT,CIN,ERR

	COUT = CIN
	IF(ERR .NE. ' ') THEN
	   COUT(LEN(CIN)+1:) = '(' // ERR // ')'
	   CALL CMPRES(COUT,ISIZE)
	ENDIF
	RETURN
	END
